import { mapGetters } from 'vuex'
import { pageTo, getCheckLogin, isLogin } from '@/utils/util.js'
import { getUser, wxLoginFn } from '@/utils/auth'
import constant from '@/constant'
export default {
	data() {
		return {
			// 全局混入，插入链接参数
			option: null,
			// 全局混入，插入全局常量
			constant: this.$constant,
			// 全局混入，插入全局工具函数
			$util: this.$util,
			// 全局混入，插入全局跳转函数
			pageTo: pageTo
		}
	},
	// computed: {
	// 	...mapGetters({ userInfo: 'getUser' })
	// },
	// 页面生命周期才触发
	onLoad: function(option) {
		this.option = option || null
		if (option.token) {
			uni.setStorageSync('token', option.token)
		}
		if (option.account) {
			uni.setStorageSync('account', option.account)
		}
		if (constant.source == 'mobile') {
			if (option.shopId) {
				uni.setStorageSync('shopId', option.shopId)
			}
		}
		uni.setStorageSync('currentQuery', JSON.stringify(option))
		// 登录
		if (constant.source == 'business' || constant.source == 'mobile') {
			if (isLogin()) {
				// #ifdef H5
				if (this.init) {
					if (constant.source == 'business') {
						getUser()
					}
					this.init()
					// console.log('init', this.init)
				}
				// #endif
				// #ifdef MP-WEIXIN
				wxLoginFn().then(res => {
					if (this.init) {
						if (constant.source == 'business') {
							getUser()
						}
						this.init()
					}
				})
				// #endif
			} else {
				// #ifdef H5
				getCheckLogin().then(res => {
					if (constant.source == 'business') {
						if (res) {
							getUser()
						}
					}
				})
				// #endif
				// #ifdef MP-WEIXIN
				wxLoginFn().then(res => {
					if (this.init) {
						if (constant.source == 'business') {
							getUser()
						}
						this.init()
					}
				})
				// #endif
			}
		}
		if (constant.source == 'official') {
			if (this.init) {
				this.init()
			}
		}
	},
	mounted() {
		if (this.mInit) {
			// #ifdef H5
			this.mInit()
			// #endif
			// #ifdef MP-WEIXIN
			// wxLoginFn().then(res => {
			// 	this.mInit()
			// })
			// #endif
			// console.log('init', this.mInit)
		}
	}
}
